# encoding: utf-8

# File:	clients/sms.ycp
# Package:	Configuration of sms
# Summary:	Main file
# Authors:	Stephen T. Bunch <sbunch@novell.com>
#
# $Id: sms.ycp,v 1.1.2.1 2004/11/23 16:19:00 sbunch Exp $
#
# Main file for sms configuration. Uses all other files.
module Yast
  class SmsClient < Client
    def main
      Yast.import "UI"

      #**
      # <h3>Configuration of sms</h3>

      textdomain "novell-sms"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("Sms module started")

      Yast.import "Progress"
      Yast.import "Report"
      Yast.import "Summary"
      Yast.import "NovellAddonInstall"
      Yast.import "CommandLine"
      Yast.include self, "novell-sms/wizards.rb"

      @cmdline_description = {
        "id"         => "sms",
        # Command line help text for the Xsms module
        "help"       => _(
          "Configuration of sms"
        ),
        "guihandler" => fun_ref(method(:SmsSequence), "any ()"),
        "initialize" => fun_ref(Sms.method(:Read), "boolean ()"),
        "finish"     => fun_ref(Sms.method(:Write), "boolean ()"),
        "actions" =>
          # FIXME TODO: fill the functionality description here
          {},
        "options" =>
          # FIXME TODO: fill the option descriptions here
          {},
        "mapping" =>
          # FIXME TODO: fill the mappings of actions and options here
          {}
      }

      # is this proposal or not?
      @propose = false
      @args = WFM.Args
      if Ops.greater_than(Builtins.size(@args), 0)
        if Ops.is_path?(WFM.Args(0)) && WFM.Args(0) == path(".propose")
          Builtins.y2milestone("Using PROPOSE mode")
          @propose = true
        end
      end

      # main ui function
      @ret = nil

      if @propose
        if Ops.get(NovellAddonInstall.products_to_configure, "sms", true)
          @ret = SmsAutoSequence()
        else
          @ret = :next
        end
      else
        @ret = CommandLine.Run(@cmdline_description)
      end
      Builtins.y2debug("ret=%1", @ret)

      # Finish
      Builtins.y2milestone("Sms module finished")
      Builtins.y2milestone("----------------------------------------")

      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::SmsClient.new.main
